<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MINI51DE_BSP: Nu-LB-Mini51/inc/eeprom_24lc64.h Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">MINI51DE_BSP<span id="projectnumber">&#160;V3.03.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Mini51DE Series MCU</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_2257da8f9ae81bafff8ef39204f6b7df.html">Nu-LB-Mini51</a></li><li class="navelem"><a class="el" href="../../dir_fb1ccf00aaf7e34f2c293a38601d8f12.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">eeprom_24lc64.h</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d3/d87/eeprom__24lc64_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**************************************************************************/</span></div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifndef __EEPROM_24LC64_H__</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="preprocessor">#define __EEPROM_24LC64_H__</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span> </div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="comment">/* Define functions prototype                                                                              */</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span><span class="comment">/*---------------------------------------------------------------------------------------------------------*/</span></div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d87/eeprom__24lc64_8h.html#a9b96be87feb3d06051077ffd4c53f38d">EEPROM_Init</a>(<span class="keywordtype">void</span>);</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d87/eeprom__24lc64_8h.html#ae25d33f86c3675a48d01ac3e2d7bd6a3">EEPROM_Write</a>(uint32_t address, uint8_t data);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span><span class="keyword">extern</span> uint8_t <a class="code hl_function" href="../../d3/d87/eeprom__24lc64_8h.html#a63e897ed818c6d3080c30797893c5e12">EEPROM_Read</a>(uint32_t address);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="keyword">extern</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d87/eeprom__24lc64_8h.html#afdf89fa6b6cdcaa0e25aa4d246901d56">EEPROM_PageWrite</a>(uint32_t u32Addr, uint8_t *pu8Buf);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span><span class="keyword">extern</span> uint8_t <a class="code hl_function" href="../../d3/d87/eeprom__24lc64_8h.html#a0aed67cf953dd76d5a90fa35db52ec8f">EEPROM_SequentialRead</a>(uint32_t u32Addr, uint8_t *pu8Buf, uint32_t u32Size);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span> </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aeeprom__24lc64_8h_html_a0aed67cf953dd76d5a90fa35db52ec8f"><div class="ttname"><a href="../../d3/d87/eeprom__24lc64_8h.html#a0aed67cf953dd76d5a90fa35db52ec8f">EEPROM_SequentialRead</a></div><div class="ttdeci">uint8_t EEPROM_SequentialRead(uint32_t u32Addr, uint8_t *pu8Buf, uint32_t u32Size)</div><div class="ttdoc">Read data from EEPROM using sequential read method.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d23/eeprom__24lc64_8c_source.html#l00269">eeprom_24lc64.c:269</a></div></div>
<div class="ttc" id="aeeprom__24lc64_8h_html_a63e897ed818c6d3080c30797893c5e12"><div class="ttname"><a href="../../d3/d87/eeprom__24lc64_8h.html#a63e897ed818c6d3080c30797893c5e12">EEPROM_Read</a></div><div class="ttdeci">uint8_t EEPROM_Read(uint32_t address)</div><div class="ttdoc">Read data from EEPROM.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d23/eeprom__24lc64_8c_source.html#l00137">eeprom_24lc64.c:137</a></div></div>
<div class="ttc" id="aeeprom__24lc64_8h_html_a9b96be87feb3d06051077ffd4c53f38d"><div class="ttname"><a href="../../d3/d87/eeprom__24lc64_8h.html#a9b96be87feb3d06051077ffd4c53f38d">EEPROM_Init</a></div><div class="ttdeci">void EEPROM_Init(void)</div><div class="ttdoc">Open I2C interface to access EEPROM.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d23/eeprom__24lc64_8c_source.html#l00025">eeprom_24lc64.c:25</a></div></div>
<div class="ttc" id="aeeprom__24lc64_8h_html_ae25d33f86c3675a48d01ac3e2d7bd6a3"><div class="ttname"><a href="../../d3/d87/eeprom__24lc64_8h.html#ae25d33f86c3675a48d01ac3e2d7bd6a3">EEPROM_Write</a></div><div class="ttdeci">void EEPROM_Write(uint32_t address, uint8_t data)</div><div class="ttdoc">Write data to EEPROM.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d23/eeprom__24lc64_8c_source.html#l00037">eeprom_24lc64.c:37</a></div></div>
<div class="ttc" id="aeeprom__24lc64_8h_html_afdf89fa6b6cdcaa0e25aa4d246901d56"><div class="ttname"><a href="../../d3/d87/eeprom__24lc64_8h.html#afdf89fa6b6cdcaa0e25aa4d246901d56">EEPROM_PageWrite</a></div><div class="ttdeci">void EEPROM_PageWrite(uint32_t u32Addr, uint8_t *pu8Buf)</div><div class="ttdoc">Write page data to EEPROM.</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d23/eeprom__24lc64_8c_source.html#l00396">eeprom_24lc64.c:396</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 18:23:38 for MINI51DE_BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
